POST api/VideoMaster

Request Information

URI Parameters

None.

Body Parameters

VideoMaster
NameDescriptionTypeAdditional information
Board

Collection of integer

None.

Class

Collection of integer

None.

Subject

Collection of integer

None.

Faculty

Collection of integer

None.

ImageType

string

None.

ImageValue

string

None.

BaseString

string

None.

ShowImage

boolean

None.

PreviewImage

string

None.

VideoId

integer

None.

Name

string

Required

String length: inclusive between 0 and 50

Description

string

Required

String length: inclusive between 0 and 500

ThumbnailUrl

string

Required

String length: inclusive between 0 and 255

VideoUrl

string

Required

StatusId

integer

None.

IsGuestVideo

boolean

None.

ClassName

string

Required

String length: inclusive between 0 and 50

CreatedById

integer

None.

CreatedDate

date

None.

ModifiedById

integer

None.

ModifiedDate

date

None.

IsHomePage

boolean

None.

CanView

boolean

None.

CanViewWithoutLogin

boolean

None.

Price

decimal number

None.

VideoPreviewLink

string

String length: inclusive between 0 and 500

discountPrice

decimal number

None.

OrderById

integer

None.

HomePageOrderById

integer

None.

ChapterName

string

Required

String length: inclusive between 0 and 50

BuyingDetails

Collection of BuyingDetail

None.

MetaTagMasters

Collection of MetaTagMaster

None.

OrderDetails

Collection of OrderDetail

None.

UserCartDetails

Collection of UserCartDetail

None.

VideoCategoryMasters

Collection of VideoCategoryMaster

None.

VideoFeedbackMasters

Collection of VideoFeedbackMaster

None.

Request Formats

application/json, text/json

Sample:
{
  "board": [
    1,
    2
  ],
  "class": [
    1,
    2
  ],
  "subject": [
    1,
    2
  ],
  "faculty": [
    1,
    2
  ],
  "imageType": "sample string 1",
  "imageValue": "sample string 2",
  "baseString": "sample string 3",
  "showImage": true,
  "previewImage": "sample string 5",
  "videoId": 6,
  "name": "sample string 7",
  "description": "sample string 8",
  "thumbnailUrl": "sample string 9",
  "videoUrl": "sample string 10",
  "statusId": 11,
  "isGuestVideo": true,
  "className": "sample string 13",
  "createdById": 14,
  "createdDate": "2026-03-15T04:57:22.6921642-07:00",
  "modifiedById": 1,
  "modifiedDate": "2026-03-15T04:57:22.6921642-07:00",
  "isHomePage": true,
  "canView": true,
  "canViewWithoutLogin": true,
  "price": 19.0,
  "videoPreviewLink": "sample string 20",
  "discountPrice": 1.0,
  "orderById": 21,
  "homePageOrderById": 22,
  "chapterName": "sample string 23",
  "buyingDetails": [
    {
      "$id": "2",
      "buyingDetailId": 1,
      "userId": 2,
      "videoId": 3,
      "statusId": 4,
      "createdDate": "2026-03-15T04:57:22.6940739-07:00",
      "createdById": 6,
      "modifiedById": 7,
      "modifiedDate": "2026-03-15T04:57:22.6940739-07:00",
      "userMaster": {
        "$id": "3",
        "userId": 1,
        "userName": "sample string 2",
        "mobileNo": "sample string 3",
        "emailId": "sample string 4",
        "statusId": 5,
        "isProfileUpdate": true,
        "roleId": 7,
        "password": "sample string 8",
        "salt": "sample string 9",
        "createdById": 10,
        "createdByDate": "2026-03-15T04:57:22.6957219-07:00",
        "modifiedById": 1,
        "modifiedByDate": "2026-03-15T04:57:22.6957219-07:00",
        "verificationCode": "sample string 12",
        "buyingDetails": [
          {
            "$ref": "2"
          },
          {
            "$ref": "2"
          }
        ],
        "orderDetails": [
          {
            "$id": "4",
            "orderDetailId": 1,
            "videoId": 2,
            "orderId": 3,
            "userId": 1,
            "statusId": 4,
            "orderMaster": {
              "$id": "5",
              "orderId": 1,
              "customerName": "sample string 2",
              "emailId": "sample string 3",
              "mobileNumber": "sample string 4",
              "orderCode": "sample string 5",
              "token": "sample string 6",
              "customerId": 7,
              "createdById": 8,
              "createdDate": "2026-03-15T04:57:22.6960806-07:00",
              "modifiedById": 1,
              "modifiedDate": "2026-03-15T04:57:22.6960806-07:00",
              "statusId": 10,
              "taxAmount": 11.0,
              "totalAmount": 12.0,
              "paytmStatus": "sample string 13",
              "bankTaxId": "sample string 14",
              "refundAmount": 1.0,
              "paytmResponseMsg": "sample string 15",
              "orderDetails": [
                {
                  "$ref": "4"
                },
                {
                  "$ref": "4"
                }
              ],
              "userMaster": {
                "$ref": "3"
              }
            },
            "userMaster": {
              "$ref": "3"
            },
            "videoMaster": {
              "$ref": "1"
            }
          },
          {
            "$ref": "4"
          }
        ],
        "orderMasters": [
          {
            "$ref": "5"
          },
          {
            "$ref": "5"
          }
        ],
        "paymentDetails": [
          {
            "$id": "6",
            "paymentId": 1,
            "buyingDetailId": 2,
            "userId": 3,
            "statusId": 4,
            "netAmount": 5.0,
            "taxAmount": 6.0,
            "totalAmount": 7.0,
            "createdDate": "2026-03-15T04:57:22.6980866-07:00",
            "createdById": 9,
            "modifiedById": 1,
            "modifiedDate": "2026-03-15T04:57:22.6980866-07:00",
            "bankTaxId": "sample string 10",
            "orderId": "sample string 11",
            "gatewayName": "sample string 12",
            "transactionId": "sample string 13",
            "status": "sample string 14",
            "paytmResponseCode": "sample string 15",
            "paytmResponseMsg": "sample string 16",
            "refundAmount": 1.0,
            "paymentDesciption": "sample string 17",
            "buyingDetail": {
              "$ref": "2"
            },
            "userMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "6"
          }
        ],
        "userCartDetails": [
          {
            "$id": "7",
            "cartId": 1,
            "userId": 2,
            "videoId": 3,
            "userMaster": {
              "$ref": "3"
            },
            "videoMaster": {
              "$ref": "1"
            }
          },
          {
            "$ref": "7"
          }
        ],
        "userDetails": [
          {
            "$id": "8",
            "isVerificationCode": true,
            "userDetailId": 2,
            "userId": 3,
            "firstName": "sample string 4",
            "lastName": "sample string 5",
            "dob": "2026-03-15T04:57:22.6997321-07:00",
            "mobileNumber": "sample string 6",
            "emailId": "sample string 7",
            "address": "sample string 8",
            "city": "sample string 9",
            "state": "sample string 10",
            "country": "sample string 11",
            "schoolName": "sample string 12",
            "board": "sample string 13",
            "class": "sample string 14",
            "refrenceBy": "sample string 15",
            "pinCode": "sample string 16",
            "userMaster": {
              "$ref": "3"
            }
          },
          {
            "$ref": "8"
          }
        ]
      },
      "videoMaster": {
        "$ref": "1"
      },
      "paymentDetails": [
        {
          "$ref": "6"
        },
        {
          "$ref": "6"
        }
      ]
    },
    {
      "$ref": "2"
    }
  ],
  "metaTagMasters": [
    {
      "$id": "9",
      "metaTagId": 1,
      "tagName": "sample string 2",
      "videoId": 3,
      "statusId": 4,
      "videoMaster": {
        "$ref": "1"
      }
    },
    {
      "$ref": "9"
    }
  ],
  "orderDetails": [
    {
      "$ref": "4"
    },
    {
      "$ref": "4"
    }
  ],
  "userCartDetails": [
    {
      "$ref": "7"
    },
    {
      "$ref": "7"
    }
  ],
  "videoCategoryMasters": [
    {
      "$id": "10",
      "courseCategoryId": 1,
      "videoId": 2,
      "courseParentCategoryId": 3,
      "courseChildCategoryId": 4,
      "videoMaster": {
        "$ref": "1"
      }
    },
    {
      "$ref": "10"
    }
  ],
  "videoFeedbackMasters": [
    {
      "$id": "11",
      "feedbackId": 1,
      "videoId": 2,
      "userId": 3,
      "rating": 4.0,
      "comment": "sample string 5",
      "createdDate": "2026-03-15T04:57:22.7013357-07:00",
      "createdById": 7,
      "modifiedById": 1,
      "modifiedDate": "2026-03-15T04:57:22.7013357-07:00",
      "status": 8,
      "videoMaster": {
        "$ref": "1"
      }
    },
    {
      "$ref": "11"
    }
  ]
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.